package com.guru99.website.tuto.steps;
import com.codeborne.selenide.Condition;
import com.guru99.website.tuto.pages.LoginPage;
import org.openqa.selenium.Alert;

import static com.codeborne.selenide.WebDriverRunner.driver;
import static com.guru99.website.tuto.pages.LoginPage.*;

public class LoginSteps {
    ////////////////////////////////////////////////////////////LOGINPAGES-ACCIONES///////////////////////////////////////////////////////////////////////////////////////
    //Meter nombre y contrseña del usuario:
    static public void SendKeysForLogin(String userID, String password){
        getUser().should(Condition.visible).sendKeys(userID);
        getPassword().should(Condition.visible).sendKeys(password);
    }
    //Hacer click en reset y cerrar la página:
    static public void ClickReset(){ btnReset().should(Condition.visible).click(); }

    // Hacer clicK en el botón de inicio de sesión:
    static public void ClickLogin(){ btnLogin().should(Condition.visible).click(); }

    //Recuperamos lo que escribimos en los campos de Usuario y contraseña:
    static public String input_getUser() { return getUser().should(Condition.visible).getText(); }
    static public String input_getPassword() { return getPassword().should(Condition.visible).getText(); }

    //Aceptar alerta cuando nos equivocamos con la contraseña o con el usuario (Vuelve a login):
    static public void Alert_ok(){ Alert alert = driver().switchTo().alert(); alert.accept(); }

    //Mensajes en los Labels, haciendo visible los hidden de que hay que tener rellenos los input:
    static public String VisibilityHiddenUser(){ return hiddenUser().should(Condition.visible).getText(); }
    static public String VisibilityHiddenPassword(){ return hiddenPassword().should(Condition.visible).getText(); }

    //Mensajes de error cuando los input pierden el foco:
    static public void ClickUid(){
        getUser().should(Condition.visible).click();
        getPassword().should(Condition.visible).click();
        getUser().should(Condition.visible).click();
    }
}
