package com.guru99.website.tuto.test;
import com.codeborne.selenide.Selenide;
import com.codeborne.selenide.SelenideConfig;
import io.cucumber.java.en.Given;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;

import static com.guru99.website.tuto.constantes.Constantes.*;
import static com.guru99.website.tuto.steps.LoginSteps.*;
import static com.guru99.website.tuto.test.TestHelper.*;

import static org.junit.Assert.*;
public class LoginTest {
    @Given("^Open the Chrome and launch the application$")
    public void open_the_Chrome_and_launch_the_application() throws Throwable
    {
        //Abriendo con el chromeDriver de Selenide:
        SelenideConfig config = new SelenideConfig();
        config.baseUrl(URL_GURU);
        config.startMaximized(true);
        Selenide.open(config.baseUrl());
    }
    @When("^Enter the Username (.*) and Password (.*)$")
    public void enterTheUsernameUsernameAndPasswordPassword(String username,String password) throws Throwable{ SendKeysForLogin(username,password); }
    @Then("^Reset the credential$")
    public void Reset_the_credential() throws Throwable
    {
        ClickReset();
        //Comprobar que el boton de reset funciona dejando los campos vacios:
        assertEquals("", input_getUser());
        assertEquals("",input_getPassword());
        Selenide.clearBrowserCookies();
        Selenide.closeWebDriver();
    }
    @Then("Do not enter the house")
    public void doNotEnterTheHouse() {
        ClickLogin();
        assertEquals(INVALIDE_USER,RespAlert());
        Selenide.sleep(2000);
        Alert_ok();
        Selenide.sleep(2000);
        Selenide.clearBrowserCookies();
        Selenide.closeWebDriver();
    }
    @When("We click on the text boxes to log in but we don't put anything")
    public void weClickOnTheTextBoxesToLogInButWeDonTPutAnything() {
        ClickUid();
    }
    @Then("user field focus error")
    public void userFieldFocusError() {
        assertEquals(EMPTY_USER, VisibilityHiddenUser());
        assertEquals(EMPTY_PASSWORD, VisibilityHiddenPassword());
        Selenide.clearBrowserCookies();
        Selenide.closeWebDriver();
    }
}
